#############################################################################
##
#W  pcpseries.gi                   Polycyc                       Bettina Eick
##

##
## Compute various series of a pcp group.
##

DeclareGlobalFunction( "PcpSeries" );
DeclareGlobalFunction( "RefinedDerivedSeries");
DeclareGlobalFunction( "RefinedDerivedSeriesDown");
DeclareGlobalFunction( "TorsionByPolyEFSeries");


DeclareGlobalFunction( "PcpsBySeries");
DeclareGlobalFunction( "ModuloSeries" );
DeclareGlobalFunction( "ModuloSeriesPcps" );
DeclareGlobalFunction( "ExtendedSeriesPcps" );
DeclareGlobalFunction( "ReducedEfaSeriesPcps" );

##
## efa (elementary or free abelian) series
##
DeclareGlobalFunction( "IsEfaFactorPcp" );
DeclareGlobalFunction( "EfaSeriesParent" );
DeclareAttribute( "EfaSeries", IsPcpGroup );
DeclareAttribute( "PcpsOfEfaSeries", IsPcpGroup );

